org.jfree.chart.needle

## Class LineNeedle

- java.lang.Object
- - org.jfree.chart.needle.MeterNeedle
  - - org.jfree.chart.needle.LineNeedle

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class LineNeedle
    extends MeterNeedle
    implements java.lang.Cloneable, java.io.Serializable

A needle that is represented by a line.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.jfree.chart.needle.MeterNeedle

`transform`

### Constructor Summary

Constructors
Constructor and Description
`LineNeedle()`

### Method Summary

Methods
`java.lang.Object` `clone()` Returns a clone of this needle.
`protected void` `drawNeedle(java.awt.Graphics2D g2, java.awt.geom.Rectangle2D plotArea, java.awt.geom.Point2D rotate, double angle)` Draws the needle.
`boolean` `equals(java.lang.Object obj)` Tests another object for equality with this object.
`int` `hashCode()` Returns a hash code for this instance.

### Methods inherited from class org.jfree.chart.needle.MeterNeedle

`defaultDisplay, draw, draw, draw, getFillPaint, getHighlightPaint, getOutlinePaint, getOutlineStroke, getRotateX, getRotateY, getSize, getTransform, setFillPaint, setHighlightPaint, setOutlinePaint, setOutlineStroke, setRotateX, setRotateY, setSize`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LineNeedle

    public LineNeedle()

### Method Detail

#### drawNeedle

    protected void drawNeedle(java.awt.Graphics2D g2,
                  java.awt.geom.Rectangle2D plotArea,
                  java.awt.geom.Point2D rotate,
                  double angle)

Draws the needle.

Specified by:
  `drawNeedle` in class `MeterNeedle`
Parameters:
  `g2` - the graphics device.
  `plotArea` - the plot area.
  `rotate` - the rotation point.
  `angle` - the angle.

#### equals

    public boolean equals(java.lang.Object obj)

Tests another object for equality with this object.

Overrides:
  `equals` in class `MeterNeedle`
Parameters:
  `obj` - the object to test (`null` permitted).
Returns:
  A boolean.

#### hashCode

    public int hashCode()

Returns a hash code for this instance.

Overrides:
  `hashCode` in class `MeterNeedle`
Returns:
  A hash code.

#### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

Returns a clone of this needle.

Overrides:
  `clone` in class `java.lang.Object`
Returns:
  A clone.
Throws:
  `java.lang.CloneNotSupportedException` - if the `LineNeedle` cannot be cloned (in theory, this should not happen).